extends Resource
class_name MajorityJudgmentGrading

"""
An ordered list of grades, from worst to best.
It's VERY IMPORTANT that the grades be NON-AMBIGUOUS,
that everyone would sort the grades in the same order
if they were given shuffled.
"""


# Array of MajorityJudgmentGrade
# From worst to best
export(Array) var grades:Array setget set_grades, get_grades


func set_grades(_grades:Array):
	assert(_grades, "Provide an array of MajorityJudgmentGrade")
	grades = _grades
	for i in range(grades.size()):
		grades[i].worth = i

func get_grades() -> Array:
	return grades
